%define upstream_name    Parser-MGC
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Build simple recursive-descent parsers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Parser/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp::Tiny)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This base class provides a low-level framework for building
recursive-descent parsers that consume a given input string from left to
right, returning a parse structure. It takes its name from the 'm//gc'
regexps used to implement the token parsing behaviour.

It provides a number of token-parsing methods, which each extract a
grammatical token from the string. It also provides wrapping methods that
can be used to build up a possibly-recursive grammar structure, by applying
a structure around other parts of parsing code. Each method, both token and
structural, atomically either consumes a prefix of the string and returns
its result, or fails and consumes nothing. This makes it simple to
implement grammars that require backtracking.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-2.mga6
+ Revision: 1031776
- Rebuild for perl 5.22.2

* Thu Dec 17 2015 shlomif <shlomif> 0.150.0-1.mga6
+ Revision: 911369
- New version 0.15

* Wed Sep 02 2015 shlomif <shlomif> 0.140.0-1.mga6
+ Revision: 872285
- New version 0.14

* Sun Jul 05 2015 sander85 <sander85> 0.130.0-1.mga6
+ Revision: 851526
- update to 0.13

* Sun Oct 19 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 788761
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 751138
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 685905
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 533982
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.120.0-1.mga4
+ Revision: 475950
- update to 0.12

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 371562
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 shlomif <shlomif> 0.110.0-1.mga3
+ Revision: 324129
- imported package perl-Parser-MGC


* Sat Dec 01 2012 cpan2dist 0.11-1mga
- initial mageia release, generated with cpan2dist
